API SERVICE
Edge applications
Define application bundles, deploy instances to edge nodes, and manage their lifecycle and monitoring.
START EXPLORING
Query instances (v1)
GET/v1/apps/instancesExplore the parameters and response schema. Sign in from your console to try a request.
Open endpoint80 operations 4 groups
EXPLORE THE SERVICE
Endpoint groups
Expand a group to find an endpoint.
Application bundles
Application bundles
/beta/appsGETQuery bundles (v1)/v1/appsGETQuery global bundles/v1/apps/globalGETGet global bundle by ID/v1/apps/global/id/{id}GETGet global bundle by name/v1/apps/global/name/{name}GETGet bundle by ID/v1/apps/id/{id}GETQuery the project access list of an bundle/v1/apps/id/{id}/projectsGETGet bundle by name/v1/apps/name/{name}POSTCreate bundle/v1/appsPUTUpdate bundle/v1/apps/id/{id}DELETEDelete bundle/v1/apps/id/{id}Application instances
Application instances
/v1/apps/instancesGETGet instance by ID (v1)/v1/apps/instances/id/{id}GETGet instance by name (v1)/v1/apps/instances/name/{name}GETQuery instances (v2)/v2/apps/instancesGETGet instance by ID (v2)/v2/apps/instances/id/{id}GETGet instance by name (v2)/v2/apps/instances/name/{name}POSTCreate instance (v1)/v1/apps/instancesPOSTCreate instance (v2)/v2/apps/instancesPUTUpdate instance by ID (v1)/v1/apps/instances/id/{id}PUTUpdate instance by ID (v2)/v2/apps/instances/id/{id}DELETEDelete instance by ID (v1)/v1/apps/instances/id/{id}DELETEDelete instance by ID (v2)/v2/apps/instances/id/{id}/v1/apps/instances/id/{id}/activatePUTConnect to instance console by ID (v1)/v1/apps/instances/id/{id}/console/remotePUTDeactivate instance by ID (v1)/v1/apps/instances/id/{id}/deactivatePUTRefresh instance by ID (v1)/v1/apps/instances/id/{id}/refreshPUTRefresh and purge instance by ID (v1)/v1/apps/instances/id/{id}/refresh/purgePUTRestart instance by ID (v1)/v1/apps/instances/id/{id}/restartPUTActivate instance by ID (v2)/v2/apps/instances/id/{id}/activatePUTConnect to instance console by ID (v2)/v2/apps/instances/id/{id}/console/remotePUTDeactivate instance by ID (v2)/v2/apps/instances/id/{id}/deactivatePUTRefresh instance by ID (v2)/v2/apps/instances/id/{id}/refreshPUTRefresh and purge instance by ID (v2)/v2/apps/instances/id/{id}/refresh/purgePUTRestart instance by ID (v2)/v2/apps/instances/id/{id}/restartInstance management · Lifecycle and console · Patch references
Instance monitoring
Instance monitoring
/v1/apps/instances/id/{id}/statusGETGet instance status by name (v1)/v1/apps/instances/name/{name}/statusGETQuery status of instances (v1)/v1/apps/instances/statusGETQuery status and config of instances (v1)/v1/apps/instances/status-configGETQuery Application instance tags/v1/apps/instances/tagsGETGet instance status by ID (v2)/v2/apps/instances/id/{id}/statusGETGet instance status by name (v2)/v2/apps/instances/name/{name}/statusGETQuery status of instances (v2)/v2/apps/instances/statusGETQuery status and config of instances (v2)/v2/apps/instances/status-config/v1/apps/instances/id/{appInstanceId}/snapshot/name/{name}GETQuery Application instance snapshots/v1/apps/instances/id/{id}/snapshotsGETQuery Application instance snapshot by ID/v1/apps/instances/snapshot/id/{id}GETQuery Application instance snapshot state/v1/apps/instances/snapshot/id/{id}/stateDELETEDelete Application instance snapshot/v1/apps/instances/id/{appInstanceId}/snapshot/name/{name}/v1/apps/instances/id/{id}/flowlog/classificationGETGet instance top talkers by ID (v1)/v1/apps/instances/id/{id}/flowlog/toptalkersGETGet instance flow log by name (v1)/v1/apps/instances/name/{name}/flowlog/classificationGETGet instance top talkers by name (v1)/v1/apps/instances/name/{name}/flowlog/toptalkersGETGet instance flow log by ID (v2)/v2/apps/instances/id/{id}/flowlog/classificationGETGet instance top talkers by ID (v2)/v2/apps/instances/id/{id}/flowlog/toptalkersGETGet instance flow log by name (v2)/v2/apps/instances/name/{name}/flowlog/classificationGETGet instance top talkers by name (v2)/v2/apps/instances/name/{name}/flowlog/toptalkers/v1/apps/instances/id/{id}/logsGETGet instance events by id (v1)/v1/apps/instances/id/{objid}/eventsGETGet instance events by name (v1)/v1/apps/instances/name/{objname}/eventsGETGet instance log by ID (v2)/v2/apps/instances/id/{id}/logsGETGet instance events by id (v2)/v2/apps/instances/id/{objid}/eventsGETGet instance events by name (v2)/v2/apps/instances/name/{objname}/events/v1/apps/instances/id/{objid}/timeSeries/{mType}GETGet instance resource usage timeline by name (v1)/v1/apps/instances/name/{objname}/timeSeries/{mType}GETGet instance resource usage timeline by ID (v2)/v2/apps/instances/id/{objid}/timeSeries/{mType}GETGet instance resource usage timeline by name (v2)/v2/apps/instances/name/{objname}/timeSeries/{mType}/v1/apps/instances/id/{id}/opaque-statusGETGet patch envelope status (base64) by name (v1)/v1/apps/instances/name/{name}/opaque-statusGETGet patch envelope status (base64) by ID (v2)/v2/apps/instances/id/{id}/opaque-statusGETGet patch envelope status (base64) by name (v2)/v2/apps/instances/name/{name}/opaque-statusStatus and tags · Snapshots · Network flows · Logs and events · Resource usage · Patch status
Patch envelopes
Patch envelopes
/v1/patch-envelopeGETGet patch envelope by id/v1/patch-envelope/id/{id}GETGet patch envelope by name/v1/patch-envelope/name/{name}GETGet patch envelope status/v1/patch-envelope/statusPOSTCreate patch envelope/v1/patch-envelopePUTUpdate patch envelope/v1/patch-envelope/id/{id}DELETEDelete patch envelope/v1/patch-envelope/id/{id}About this service
About this service
The ZEDEDA Edge Application Service is part of ZEDEDA Edge Orchestration Platform. This service enables customers to define their edge applications on ZEDEDA platform and to deploy/upgrade/restarti/monitor them to edge node(s) remotely. You can use the ZEDEDA Edge Application Service to provision and manage ilifecycle of thousands of edge applications to millions of edge nodes distributed in different geographical locations in a secure and scalable manner.
API guides